This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### arc()
Examples |
    arc(50, 55, 50, 50, 0, HALF_PI);
    noFill();
    arc(50, 55, 60, 60, HALF_PI, PI);
    arc(50, 55, 70, 70, PI, PI+QUARTER_PI);
    arc(50, 55, 80, 80, PI+QUARTER_PI, TWO_PI);
    arc(50, 50, 80, 80, 0, PI+QUARTER_PI, OPEN);
    arc(50, 50, 80, 80, 0, PI+QUARTER_PI, CHORD);
    arc(50, 50, 80, 80, 0, PI+QUARTER_PI, PIE);
Description | Draws an arc to the screen. Arcs are drawn along the outer edge of an ellipse defined by the a, b, c, and d parameters. The origin of the arc's ellipse may be changed with the ellipseMode() function. Use the start and stop parameters to specify the angles (in radians) at which to draw the arc. There are three ways to draw an arc; the rendering technique used is defined by the optional seventh paramter. The default mode is OPEN, and the other options are CHORD and PIE. Each is shown in the above examples.
Syntax |
    arc(a, b, c, d, start, stop)
    arc(a, b, c, d, start, stop, mode)
Parameters |
a | float: x-coordinate of the arc's ellipse
b | float: y-coordinate of the arc's ellipse
c | float: width of the arc's ellipse by default
d | float: height of the arc's ellipse by default
start | float: angle to start the arc, specified in radians
stop | float: angle to stop the arc, specified in radians
Returns | void
Related | ellipse() ellipseMode() radians() degrees()

Updated on October 26, 2013 08:58:31pm PDT